Resolve saved objects
Base URL
https://{kibana_url}
POST
/api/saved_objects/_bulk_resolve
POST
/s/{space_id} /api/saved_objects/_bulk_resolve
Auth
Deprecated
This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
Retrieve multiple Kibana saved objects by ID, using any legacy URL aliases if they exist.
Under certain circumstances, when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved with the bulk resolve API using either its new ID or its old ID.
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
A required header to protect against CSRF attacks
[{
}]
<array> object [] · max items: 10000
id
string · max length: 512
required
type
string · max length: 256
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Example
2 languages
Resolve multiple saved objects
2 languages
Request
Console
1 / 2 languages
‹
›
1
2
POST kbn://api/saved_objects/_bulk_resolve
[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"legacy-id"}]
1
2
3
4
5
6
curl \
-X POST "${KIBANA_URL}/api/saved_objects/_bulk_resolve" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"legacy-id"}]'
Response
1
2
3
4
5
{
"error": "Bad Request",
"message": "Unsupported saved object type(s): unknownType",
"statusCode": 400
}
Request
Console
1 / 2 languages
‹
›
1
2
3
4
5
6
7
8
9
10
11
POST kbn:/api/saved_objects/_bulk_resolve
[
{
"id": "example-dashboard-1",
"type": "dashboard"
},
{
"id": "legacy-id",
"type": "dashboard"
}
]
Generated from the API spec
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
curl \
-X POST "${KIBANA_URL}/api/saved_objects/_bulk_resolve" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
-H "Content-Type: application/json" \
-d '[
{
"id": "example-dashboard-1",
"type": "dashboard"
},
{
"id": "legacy-id",
"type": "dashboard"
}
]'
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
{
"resolved_objects": [
{
"outcome": "exactMatch",
"saved_object": {
"attributes": {
"title": "Example dashboard 1"
},
"id": "example-dashboard-1",
"managed": false,
"namespaces": [
"default"
],
"references": [],
"type": "dashboard",
"updated_at": "2026-04-17T12:00:00.000Z",
"version": "WzEsMV0="
}
},
{
"alias_target_id": "example-dashboard-2",
"outcome": "aliasMatch",
"saved_object": {
"attributes": {
"title": "Example dashboard 2"
},
"id": "example-dashboard-2",
"managed": false,
"namespaces": [
"default"
],
"references": [],
"type": "dashboard",
"updated_at": "2026-04-17T12:00:00.000Z",
"version": "WzEsMl0="
}
}
]
}
1
2
3
4
5
{
"error": "Bad Request",
"message": "Unsupported saved object type(s): unknownType",
"statusCode": 400
}